Hi!

I'm happily running Ruby on my Linux box, but since the latest
Ruby-GNOME2 bindings have support for MinGW I'd like to test it on Win
platform.

I use latest MinGW & MSYS and built Ruby 1.6.8 from source.

The only problem I had was that (according to info found in archives)
Had to modify my LDSHARED line in Makefile to:

LDSHARED= dllwrap --target=mingw32 --export-all -s

and after make finishes, one has to run "make ruby.exe" to get ruby.exe.

However when I tried to build Ruby-GNOME2 bindings, "ruby extconf.rb"
reports that it cannot find Gobject-2.0 and GCC although they are both
present, along with other GTK+ libraries.

On the Ruby-GNOME2 mailing list, I got the answer that probably my
environment is not capable of building ruby extension libraries which
use extconf.rb.

I also tried with Ruby binary package for MinGW, but still the same.

So, I'm asking for some help and/or pointer how to build Ruby with MinGW
compiler (with MSYS environment) in order to be able to build extension
libraries for Win32.

Sincerely,
Gour

ps. Anyone built Ruby-GNOME2 libraries with MinGW?
 
-- 
Gour
gour / mail.inet.hr
Registered Linux User #278493